<?php
namespace AkTest\Task;

use Ak\Task\ConfigProvider;
use Ak\Test\AbstractTestCase;

/**
 * Class ConfigProviderTest
 *
 * @package AkTest\Task
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/task
 */
final class ConfigProviderTest extends AbstractTestCase
{
    protected array $providers = [
        ConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has('config'));
        $this->assertIsArray($container->get('config'));
    }
}
